import { CommonsExporter, IExporterProvider } from "../interfaces/IExporterProvider";
import { IRecordID } from "../interfaces/IRecordID";
import { DataExporterOption } from "../../../lib/@types";
import IExporterColumnMetadata from "../../../lib/http/data-fetcher/fetchers/fetchDataExporter/interfaces/IExporterColumnMetadata";
import { IExportType } from "../../../lib/http/data-fetcher/fetchers/fetchDataExporter/interfaces/IFetchDataExporterParams";
export default class ClientSideExporterProvider extends CommonsExporter implements IExporterProvider {
  getSelectedNumber(): number;
  getTotalRecords(): number;
  getSelectedIDs(): Array<IRecordID>;
  getRecordID(): string;
  getRecords(exportType?: IExportType): Promise<{
    [key: string]: any;
  }[]>;
  private resolveRecordsFromSelection;
  getHiddenOptions(): Array<DataExporterOption>;
  formatValue(record: {
    [key: string]: any;
  }, column: IExporterColumnMetadata): string;
}
